import { BrowserRouter, Route, Routes } from "react-router";
import { createRoot } from 'react-dom/client'
import './index.css'
import App from './App.tsx'
import MainPage from "./pages/main.tsx";
import GamePage from "./pages/GamePage.tsx";


createRoot(document.getElementById('root')!).render(
  <BrowserRouter>
    <Routes>
      <Route path="/" element={<MainPage />} />
      <Route path="/vite" element={<App />} />
      <Route path="/game" element={<GamePage />} />
    </Routes>
  </BrowserRouter>,
)
